unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm2 = class(TForm)
    edtFromX: TEdit;
    edtFromY: TEdit;
    edtFromZ: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    edtAtX: TEdit;
    edtAtY: TEdit;
    edtAtZ: TEdit;
    Label3: TLabel;
    edtWorldUpX: TEdit;
    edtWorldUpY: TEdit;
    edtWorldUpZ: TEdit;
    Label4: TLabel;
    Button1: TButton;
    Label5: TLabel;
    edtFOV: TEdit;
    lblFOV: TLabel;
    lblAspect: TLabel;
    edtAspect: TEdit;
    Label6: TLabel;
    edtNearPlane: TEdit;
    Label7: TLabel;
    edtFarPlane: TEdit;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses Unit1;

{$R *.DFM}

procedure TForm2.Button1Click(Sender: TObject);
begin
  with frmD3D do begin
     FromX := StrToFloat (edtFromX.Text);
     FromY := StrToFloat (edtFromY.Text);
     FromZ := StrToFloat (edtFromZ.Text);

     AtX := StrToFloat (edtAtX.Text);
     AtY := StrToFloat (edtAtY.Text);
     AtZ := StrToFloat (edtAtZ.Text);          

     WorldUpX := StrToFloat (edtWorldUpX.Text);
     WorldUpY := StrToFloat (edtWorldUpY.Text);
     WorldUpZ := StrToFloat (edtWorldUpZ.Text);

     fFOV := StrToFloat (edtFOV.Text);
     fAspect := StrToFloat (edtAspect.Text);
     fNearPlane := StrToFloat (edtNearPlane.Text);
     fFarPlane := StrToFloat (edtFarPlane.Text);
 end;
end;

end.
